/*
 *  Copyright (C) 2007 Viktor Nordell <viktor.nordell@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Viktor Nordell <viktor.nordell@gmail.com>
 */
#ifndef _GUI_STATUS_ICON_H_
#define _GUI_STATUS_ICON_H_

#include <gtk/gtk.h>
#include "main.h"
#define STATUS_ICON_ONLINE "/tray_online.png"
#define STATUS_ICON_OFFLINE "/tray_offline.png"

#if (GTK_MINOR_VERSION >= 10)

GtkStatusIcon* gui_status_icon_create(MainPrivate* priv, gboolean init_status);
void gui_status_icon_set_status(GtkStatusIcon* status_icon, gboolean status);

#endif

#endif
